Skip to content
The API may change between versions while TTX-Zone is 0.x.

Callback

GET
/api/v1/auth/oidc/callback
curl --request GET \
--url https://example.com/api/v1/auth/oidc/callback

Where the provider sends the browser back. Every outcome is a redirect into the application (an error as ?sso_error=SSO_), never a page of its own.

code
Any of:
string
<= 4096 characters
state
Any of:
string
<= 128 characters
error
Any of:
string
<= 256 characters

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}